Bug 190056 - Crash when click on content menu of local collection after it is updated (blink)
Summary: Crash when click on content menu of local collection after it is updated (blink)
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collection Browser (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-19 13:03 UTC by Javier García
Modified: 2009-04-21 08:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Javier García 2009-04-19 13:03:32 UTC
Version:           2.1beta1 (using KDE 4.2.2)
OS:                Linux
Installed from:    SuSE RPMs

Version: 2.1 beta1
No backtrace but here are the steps to reproduce it:
1) Right click on an album or artist from Local Collection to popup a content menu.
2) Wait to collection updates (blinks), without click nothing.
3) Click on an option of the content menu.
4) Crash!
Comment 1 Mark Kretschmann 2009-04-19 13:21:32 UTC
Sorry, I can't reproduce this crash with SVN trunk. Also I don't understand what you mean with "blink".

Please try to get a backtrace (install the Amarok-debug package first!), then we might be able to look into it. Here are some instructions for producing valid backtraces:

http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Comment 2 Javier García 2009-04-19 21:10:34 UTC
Sorry for the explanation, when I said "blink" I meant "refresh".

Every minute, the "Local Collection" seems refresh. Well.. if you right click on any album or artist, and wait a minute to click on an option of the content menu that appears, you will crash amarok. Here the backtrace:

Aplicación: Amarok (amarok), señal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
0x00007fa6d4942ce1 in nanosleep () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7fa6d7cb6760 (LWP 5920))]

Thread 18 (Thread 0x7fa6bf890950 (LWP 5921)):
#0  0x00007fa6d537efdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6c4708631 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fa6bea26950 (LWP 5922)):
#0  0x00007fa6cd078d2d in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fa6cd079791 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fa6cd079a6b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fa6d56ff50e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007fa6d56d59a2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007fa6d56d5b2d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007fa6d55ec028 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007fa6c4963b12 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fa6d55eef72 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fa6d497410d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fa6bde18950 (LWP 5925)):
#0  0x00007fa6d496b386 in poll () from /lib64/libc.so.6
#1  0x00007fa6be0209c1 in ?? () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fa6bd617950 (LWP 5926)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6c4719c23 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fa6bcbde950 (LWP 5927)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6c4719c23 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fa6ba87e950 (LWP 5929)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6bb56d3bd in os_event_wait_low (event=0x1497020, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007fa6bb56a649 in os_aio_simulated_handle (global_segment=0, message1=0x7fa6ba87e078, message2=0x7fa6ba87e070, type=0x7fa6ba87e068) at ../../../innobase/os/os0file.c:4089
#3  0x00007fa6bb52e2a3 in fil_aio_wait (segment=0) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fa6bb3c57b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fa6b9842950 (LWP 5930)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6bb56d3bd in os_event_wait_low (event=0x14970c0, reset_sig_count=3) at ../../../innobase/os/os0sync.c:420
#2  0x00007fa6bb56a649 in os_aio_simulated_handle (global_segment=1, message1=0x7fa6b9842078, message2=0x7fa6b9842070, type=0x7fa6b9842068) at ../../../innobase/os/os0file.c:4089
#3  0x00007fa6bb52e2a3 in fil_aio_wait (segment=1) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fa6bb3c57b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fa6b9041950 (LWP 5931)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6bb56d3bd in os_event_wait_low (event=0x1497160, reset_sig_count=2) at ../../../innobase/os/os0sync.c:420
#2  0x00007fa6bb56a649 in os_aio_simulated_handle (global_segment=2, message1=0x7fa6b9041078, message2=0x7fa6b9041070, type=0x7fa6b9041068) at ../../../innobase/os/os0file.c:4089
#3  0x00007fa6bb52e2a3 in fil_aio_wait (segment=2) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fa6bb3c57b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fa6b8840950 (LWP 5932)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6bb56d3bd in os_event_wait_low (event=0x1497200, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007fa6bb56a649 in os_aio_simulated_handle (global_segment=3, message1=0x7fa6b8840078, message2=0x7fa6b8840070, type=0x7fa6b8840068) at ../../../innobase/os/os0file.c:4089
#3  0x00007fa6bb52e2a3 in fil_aio_wait (segment=3) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007fa6bb3c57b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fa6b7328950 (LWP 5934)):
#0  0x00007fa6d496d662 in select () from /lib64/libc.so.6
#1  0x00007fa6bb56d7fb in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007fa6bb3c2238 in srv_lock_timeout_and_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:1882
#3  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa6b6b27950 (LWP 5935)):
#0  0x00007fa6d496d662 in select () from /lib64/libc.so.6
#1  0x00007fa6bb56d7fb in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007fa6bb3c0fea in srv_error_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2106
#3  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa6b6326950 (LWP 5936)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6bb56d3bd in os_event_wait_low (event=0xc90df0, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007fa6bb3c021f in srv_master_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2598
#3  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa6b1338950 (LWP 5937)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6d55eff29 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fa6d1a92644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fa6d1a94da3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fa6d1a94dbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fa6d1a9336f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fa6d1a937c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fa6d55eef72 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa6b0b37950 (LWP 5938)):
#0  0x00007fa6d496d662 in select () from /lib64/libc.so.6
#1  0x00007fa6d56b7366 in ?? () from /usr/lib64/libQtCore.so.4
#2  0x00007fa6d55eef72 in ?? () from /usr/lib64/libQtCore.so.4
#3  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa6b0336950 (LWP 5940)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6d55eff29 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fa6d1a92644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fa6d1a94da3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fa6d1a94dbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fa6d1a94dbc in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fa6d1a9336f in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fa6d1a937c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fa6d55eef72 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fa6d497410d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa6afb35950 (LWP 5941)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6d55eff29 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fa6d1a92644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fa6d1a94da3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fa6d1a94dbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fa6d1a94dbc in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fa6d1a94dbc in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007fa6d1a9336f in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fa6d1a937c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x00007fa6d55eef72 in ?? () from /usr/lib64/libQtCore.so.4
#10 0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fa6d497410d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa6af334950 (LWP 5942)):
#0  0x00007fa6d537ed59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fa6d55eff29 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fa6d1a92644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007fa6d1a94da3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007fa6d1a9336f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007fa6d1a937c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x00007fa6d55eef72 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007fa6d537b070 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fa6d497410d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa6d7cb6760 (LWP 5920)):
[KCrash Handler]
#5  0x00007fa6d6efc6ef in CollectionTreeItem::queryMaker (this=<value optimized out>) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeItem.cpp:259
#6  0x00007fa6d6f0a5ec in CollectionTreeView::createMetaQueryFromItems (this=0x20fc300, items=<value optimized out>, cleanItems=<value optimized out>)
    at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeView.cpp:967
#7  0x00007fa6d6f0a81b in CollectionTreeView::editTracks (this=0x7fa6d59bb780, items=@0x41af5c0) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeView.cpp:570
#8  0x00007fa6d6f0f890 in CollectionTreeView::qt_metacall (this=0x20fc300, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffdfe86710)
    at /usr/src/debug/amarok-2.0.80.svn951733.20090410/build/src/CollectionTreeView.moc:106
#9  0x00007fa6d56eb454 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQtCore.so.4
#10 0x00007fa6d620f527 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#11 0x00007fa6d620fcf0 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#12 0x00007fa6d65a731d in ?? () from /usr/lib64/libQtGui.so.4
#13 0x00007fa6d7753be1 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libkdeui.so.5
#14 0x00007fa6d62677a9 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#15 0x00007fa6d65a9afb in QMenu::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#16 0x00007fa6d62151bd in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#17 0x00007fa6d621d7fa in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#18 0x00007fa6d7688f8b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#19 0x00007fa6d56d7091 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#20 0x00007fa6d621cb98 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/libQtGui.so.4
#21 0x00007fa6d6281214 in ?? () from /usr/lib64/libQtGui.so.4
#22 0x00007fa6d627fa77 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#23 0x00007fa6d62a6214 in ?? () from /usr/lib64/libQtGui.so.4
#24 0x00007fa6cd0760db in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#25 0x00007fa6cd0798ad in ?? () from /usr/lib64/libglib-2.0.so.0
#26 0x00007fa6cd079a6b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#27 0x00007fa6d56ff4ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#28 0x00007fa6d62a59bf in ?? () from /usr/lib64/libQtGui.so.4
#29 0x00007fa6d56d59a2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#30 0x00007fa6d56d5b2d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#31 0x00007fa6d65a9955 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib64/libQtGui.so.4
#32 0x00007fa6d6f0f007 in CollectionTreeView::contextMenuEvent (this=0x20fc300, event=0x7fffdfe88d40) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeView.cpp:237
#33 0x00007fa6d6267a3d in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#34 0x00007fa6d668b35d in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#35 0x00007fa6d66bfb60 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#36 0x00007fa6d56d6358 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#37 0x00007fa6d621518c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#38 0x00007fa6d621d41a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#39 0x00007fa6d7688f8b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#40 0x00007fa6d56d7091 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#41 0x00007fa6d628169a in ?? () from /usr/lib64/libQtGui.so.4
#42 0x00007fa6d627fa77 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#43 0x00007fa6d62a6214 in ?? () from /usr/lib64/libQtGui.so.4
#44 0x00007fa6cd0760db in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#45 0x00007fa6cd0798ad in ?? () from /usr/lib64/libglib-2.0.so.0
#46 0x00007fa6cd079a6b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#47 0x00007fa6d56ff4ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#48 0x00007fa6d62a59bf in ?? () from /usr/lib64/libQtGui.so.4
#49 0x00007fa6d56d59a2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#50 0x00007fa6d56d5b2d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#51 0x00007fa6d56d7ffd in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#52 0x0000000000404099 in main (argc=1, argv=0x7fffdfe8ad38) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/main.cpp:128
Comment 3 Javier García 2009-04-19 21:14:30 UTC
change status to new.. sorry if i do this wrong.
Comment 4 Mark Kretschmann 2009-04-19 21:38:57 UTC
The backtrace is still invalid. You need to install debugging symbols for Amarok, e.g. amarok-dbg on Ubuntu.
Comment 5 Javier García 2009-04-20 20:40:54 UTC
More information: After you wait for refresh, when press an option of the popup you opened before, (e.g. Edit track details), you will get a wrong Album/Artist. Is like you access to the Local Collection with a wrong index. Due this amarok can crash (index out of range may be?).

Backtrace with all Thread 1 symbols:

Aplicación: Amarok (amarok), señal SIGSEGV
[?1034h[Thread debugging using libthread_db enabled]
0x00007f4b1d0b95af in waitpid () from /lib64/libpthread.so.0
[Current thread is 1 (Thread 0x7f4b1f9ed760 (LWP 13551))]

Thread 18 (Thread 0x7f4b0959b950 (LWP 13552)):
#0  0x00007f4b1d0b5fdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b0e413631 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f4b08731950 (LWP 13553)):
#0  0x00007fff27bff7dc in clock_gettime ()
#1  0x00007f4b1503c4ed in clock_gettime () from /lib64/librt.so.1
#2  0x00007f4b1d437fcd in QTimerInfoList::getTime (this=<value optimized out>, t=@0x78c9a0) at kernel/qeventdispatcher_unix.cpp:335
#3  0x00007f4b1d4381c1 in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:293
#4  0x00007f4b1d439b63 in QTimerInfoList::timerWait (this=0x1, tm=@0x7f4b08730da0) at kernel/qeventdispatcher_unix.cpp:416
#5  0x00007f4b1d4366bd in timerSourcePrepare (source=<value optimized out>, timeout=0x7f4b08730e94) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f4b14db018a in IA__g_main_context_prepare (context=0x78bc00, priority=0x7f4b08730f14) at gmain.c:2464
#7  0x00007f4b14db05aa in g_main_context_iterate (context=0x78bc00, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2758
#8  0x00007f4b14db0a6b in IA__g_main_context_iteration (context=0x78bc00, may_block=1) at gmain.c:2841
#9  0x00007f4b1d43650e in QEventDispatcherGlib::processEvents (this=0x78bb30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:321
#10 0x00007f4b1d40c9a2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 141758432}) at kernel/qeventloop.cpp:143
#11 0x00007f4b1d40cb2d in QEventLoop::exec (this=0x7f4b08731020, flags={i = 141758512}) at kernel/qeventloop.cpp:194
#12 0x00007f4b1d323028 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:458
#13 0x00007f4b0e66eb12 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#14 0x00007f4b1d325f72 in QThreadPrivate::start (arg=0x6e66d0) at thread/qthread_unix.cpp:185
#15 0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#16 0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f4b07b23950 (LWP 13556)):
#0  0x00007f4b1c6a7d69 in syscall () from /lib64/libc.so.6
#1  0x00007f4b1c3d22e6 in v4l2_read () from /usr/lib64/libv4l2.so.0
#2  0x00007f4b0ea94c85 in ?? () from /usr/lib64/libasound.so.2
#3  0x00007f4b0ea8ffe8 in snd_hctl_handle_events () from /usr/lib64/libasound.so.2
#4  0x00007f4b0ea99b85 in snd_mixer_handle_events () from /usr/lib64/libasound.so.2
#5  0x00007f4b07d2ba00 in ?? () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#6  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f4b07322950 (LWP 13557)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b0e424c23 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f4b068e9950 (LWP 13558)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b0e424c23 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f4b045e0950 (LWP 13560)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b052cf3bd in os_event_wait_low (event=0x14136e0, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f4b052cc649 in os_aio_simulated_handle (global_segment=0, message1=0x7f4b045e0078, message2=0x7f4b045e0070, type=0x7f4b045e0068) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4b052902a3 in fil_aio_wait (segment=0) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f4b051277b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f4b035a4950 (LWP 13561)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b052cf3bd in os_event_wait_low (event=0x1413780, reset_sig_count=3) at ../../../innobase/os/os0sync.c:420
#2  0x00007f4b052cc649 in os_aio_simulated_handle (global_segment=1, message1=0x7f4b035a4078, message2=0x7f4b035a4070, type=0x7f4b035a4068) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4b052902a3 in fil_aio_wait (segment=1) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f4b051277b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f4b02da3950 (LWP 13562)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b052cf3bd in os_event_wait_low (event=0x1413820, reset_sig_count=2) at ../../../innobase/os/os0sync.c:420
#2  0x00007f4b052cc649 in os_aio_simulated_handle (global_segment=2, message1=0x7f4b02da3078, message2=0x7f4b02da3070, type=0x7f4b02da3068) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4b052902a3 in fil_aio_wait (segment=2) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f4b051277b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f4b025a2950 (LWP 13563)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b052cf3bd in os_event_wait_low (event=0x14138c0, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f4b052cc649 in os_aio_simulated_handle (global_segment=3, message1=0x7f4b025a2078, message2=0x7f4b025a2070, type=0x7f4b025a2068) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4b052902a3 in fil_aio_wait (segment=3) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f4b051277b0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f4b0108a950 (LWP 13565)):
#0  0x00007f4b1c6a4662 in select () from /lib64/libc.so.6
#1  0x00007f4b052cf7fb in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007f4b05124238 in srv_lock_timeout_and_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:1882
#3  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f4b00889950 (LWP 13566)):
#0  0x00007f4b1c6a4662 in select () from /lib64/libc.so.6
#1  0x00007f4b052cf7fb in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007f4b05122fea in srv_error_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2106
#3  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f4b00088950 (LWP 13567)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b052cf3bd in os_event_wait_low (event=0xc0a8d0, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f4b0512221f in srv_master_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2598
#3  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f4af8ebf950 (LWP 13569)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b1d326f29 in QWaitCondition::wait (this=0x224a058, mutex=0x224a430, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:82
#2  0x00007f4b197c9644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f4b197cbda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f4b197cbdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f4b197cbdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f4b197cbdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f4b197ca36f in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f4b197ca7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f4b1d325f72 in QThreadPrivate::start (arg=0x224aa00) at thread/qthread_unix.cpp:185
#10 0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f4af86be950 (LWP 13570)):
#0  0x00007f4b1c6a4662 in select () from /lib64/libc.so.6
#1  0x00007f4b1d3ee366 in QProcessManager::run (this=0x682600) at io/qprocess_unix.cpp:301
#2  0x00007f4b1d325f72 in QThreadPrivate::start (arg=0x682600) at thread/qthread_unix.cpp:185
#3  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f4af7ebd950 (LWP 13572)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b1d326f29 in QWaitCondition::wait (this=0x224a058, mutex=0x224a430, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:82
#2  0x00007f4b197c9644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f4b197cbda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f4b197cbdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f4b197ca36f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f4b197ca7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f4b1d325f72 in QThreadPrivate::start (arg=0xbdba60) at thread/qthread_unix.cpp:185
#8  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4af76bc950 (LWP 13573)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b1d326f29 in QWaitCondition::wait (this=0x224a058, mutex=0x224a430, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:82
#2  0x00007f4b197c9644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f4b197cbda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f4b197cbdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f4b197cbdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f4b197cbdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f4b197ca36f in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f4b197ca7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f4b1d325f72 in QThreadPrivate::start (arg=0xb51dc0) at thread/qthread_unix.cpp:185
#10 0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4af6ebb950 (LWP 13574)):
#0  0x00007f4b1d0b5d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4b1d326f29 in QWaitCondition::wait (this=0x224a058, mutex=0x224a430, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:82
#2  0x00007f4b197c9644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f4b197cbda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f4b197ca36f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f4b197ca7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f4b1d325f72 in QThreadPrivate::start (arg=0x28848f0) at thread/qthread_unix.cpp:185
#7  0x00007f4b1d0b2070 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f4b1c6ab10d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4b1f9ed760 (LWP 13551)):
[KCrash Handler]
#4  CollectionTreeItem::queryMaker (this=0x4207340) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeItem.cpp:259
#5  0x00007f4b1ec415ec in CollectionTreeView::createMetaQueryFromItems (this=0x20d0100, items=<value optimized out>, cleanItems=<value optimized out>)
    at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeView.cpp:967
#6  0x00007f4b1ec4181b in CollectionTreeView::editTracks (this=0x4014000000000001, items=@0x222ac30) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeView.cpp:570
#7  0x00007f4b1ec46890 in CollectionTreeView::qt_metacall (this=0x20d0100, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff27bbd430)
    at /usr/src/debug/amarok-2.0.80.svn951733.20090410/build/src/CollectionTreeView.moc:106
#8  0x00007f4b1d422454 in QMetaObject::activate (sender=0x21de3f0, from_signal_index=<value optimized out>, to_signal_index=6, argv=0x3c76c68) at kernel/qobject.cpp:3031
#9  0x00007f4b1df46527 in QAction::triggered (this=0x4014000000000001, _t1=false) at .moc/release-shared/moc_qaction.cpp:216
#10 0x00007f4b1df46cf0 in QAction::activate (this=0x21de3f0, event=<value optimized out>) at kernel/qaction.cpp:1125
#11 0x00007f4b1e2de2bd in QMenuPrivate::activateAction (this=0x4165780, action=0x21de3f0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1002
#12 0x00007f4b1f48abe1 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libkdeui.so.5
#13 0x00007f4b1df9e799 in QWidget::event (this=0x7fff27bbecd0, event=0x7fff27bbdea0) at kernel/qwidget.cpp:7163
#14 0x00007f4b1e2e0a9b in QMenu::event (this=0x7fff27bbecd0, e=0x7fff27bbdea0) at widgets/qmenu.cpp:2265
#15 0x00007f4b1df4c1bd in QApplicationPrivate::notify_helper (this=0x68a570, receiver=0x7fff27bbecd0, e=0x7fff27bbdea0) at kernel/qapplication.cpp:3803
#16 0x00007f4b1df547fa in QApplication::notify (this=<value optimized out>, receiver=0x7fff27bbecd0, e=0x7fff27bbdea0) at kernel/qapplication.cpp:3528
#17 0x00007f4b1f3bff8b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#18 0x00007f4b1d40e091 in QCoreApplication::notifyInternal (this=0x7fff27bc0880, receiver=0x7fff27bbecd0, event=0x7fff27bbdea0) at kernel/qcoreapplication.cpp:587
#19 0x00007f4b1df53b98 in QApplicationPrivate::sendMouseEvent (receiver=0x7fff27bbecd0, event=0x7fff27bbdea0, alienWidget=0x0, nativeWidget=0x7fff27bbecd0, buttonDown=<value optimized out>, 
    lastMouseReceiver=@0x7f4b1e8c7760) at ../../src/corelib/kernel/qcoreapplication.h:212
#20 0x00007f4b1dfb81d4 in QETWidget::translateMouseEvent (this=0x7fff27bbecd0, event=<value optimized out>) at kernel/qapplication_x11.cpp:3974
#21 0x00007f4b1dfb6a37 in QApplication::x11ProcessEvent (this=0x87, event=0x7fff27bbe910) at kernel/qapplication_x11.cpp:3158
#22 0x00007f4b1dfdd1d4 in x11EventSourceDispatch (s=0x680d50, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:142
#23 0x00007f4b14dad0db in IA__g_main_context_dispatch (context=0x680100) at gmain.c:2144
#24 0x00007f4b14db08ad in g_main_context_iterate (context=0x680100, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2778
#25 0x00007f4b14db0a6b in IA__g_main_context_iteration (context=0x680100, may_block=1) at gmain.c:2841
#26 0x00007f4b1d4364ef in QEventDispatcherGlib::processEvents (this=0x689f00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:319
#27 0x00007f4b1dfdc97f in QGuiEventDispatcherGlib::processEvents (this=0x4014000000000001, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:198
#28 0x00007f4b1d40c9a2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 666627072}) at kernel/qeventloop.cpp:143
#29 0x00007f4b1d40cb2d in QEventLoop::exec (this=0x7fff27bbec40, flags={i = 666627168}) at kernel/qeventloop.cpp:194
#30 0x00007f4b1e2e08f5 in QMenu::exec (this=<value optimized out>, p=@0x7fff27bbfa80, action=0x0) at widgets/qmenu.cpp:1938
#31 0x00007f4b1ec46007 in CollectionTreeView::contextMenuEvent (this=0x20d0100, event=0x7fff27bbfa60) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/browsers/CollectionTreeView.cpp:237
#32 0x00007f4b1df9ea2d in QWidget::event (this=0x20d0100, event=0x7fff27bbfa60) at kernel/qwidget.cpp:7320
#33 0x00007f4b1e3c22fd in QAbstractItemView::viewportEvent (this=0x20d0100, event=0x7fff27bbfa60) at itemviews/qabstractitemview.cpp:1429
#34 0x00007f4b1e3f6b40 in QTreeView::viewportEvent (this=0x20d0100, event=0x7fff27bbfa60) at itemviews/qtreeview.cpp:1252
#35 0x00007f4b1d40d358 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x2005240, event=0x7fff27bbfa60) at kernel/qcoreapplication.cpp:694
#36 0x00007f4b1df4c18c in QApplicationPrivate::notify_helper (this=0x68a570, receiver=0x2005240, e=0x7fff27bbfa60) at kernel/qapplication.cpp:3799
#37 0x00007f4b1df5441a in QApplication::notify (this=<value optimized out>, receiver=0x2005240, e=0x7fff27bbfa60) at kernel/qapplication.cpp:3614
#38 0x00007f4b1f3bff8b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#39 0x00007f4b1d40e091 in QCoreApplication::notifyInternal (this=0x7fff27bc0880, receiver=0x2005240, event=0x7fff27bbfa60) at kernel/qcoreapplication.cpp:587
#40 0x00007f4b1dfb865a in QETWidget::translateMouseEvent (this=0x7528c0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4046
#41 0x00007f4b1dfb6a37 in QApplication::x11ProcessEvent (this=0x87, event=0x7fff27bc0500) at kernel/qapplication_x11.cpp:3158
#42 0x00007f4b1dfdd1d4 in x11EventSourceDispatch (s=0x680d50, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:142
#43 0x00007f4b14dad0db in IA__g_main_context_dispatch (context=0x680100) at gmain.c:2144
#44 0x00007f4b14db08ad in g_main_context_iterate (context=0x680100, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2778
#45 0x00007f4b14db0a6b in IA__g_main_context_iteration (context=0x680100, may_block=1) at gmain.c:2841
#46 0x00007f4b1d4364ef in QEventDispatcherGlib::processEvents (this=0x689f00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:319
#47 0x00007f4b1dfdc97f in QGuiEventDispatcherGlib::processEvents (this=0x4014000000000001, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:198
#48 0x00007f4b1d40c9a2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 666634224}) at kernel/qeventloop.cpp:143
#49 0x00007f4b1d40cb2d in QEventLoop::exec (this=0x7fff27bc0830, flags={i = 666634304}) at kernel/qeventloop.cpp:194
#50 0x00007f4b1d40effd in QCoreApplication::exec () at kernel/qcoreapplication.cpp:845
#51 0x0000000000404099 in main (argc=1, argv=0x7fff27bc1a58) at /usr/src/debug/amarok-2.0.80.svn951733.20090410/src/main.cpp:128
Comment 6 Mark Kretschmann 2009-04-21 08:07:18 UTC
I could not reproduce the crash with this method, but I did get the wrong album when I clicked "Edit Track Details" on an album after a collection update, and I think it's coincidence what happens then (crash, wrong information, etc).

What we should do is closing the context menu when refreshing the view.
Comment 7 Mark Kretschmann 2009-04-21 08:32:58 UTC
SVN commit 956958 by markey:

Fixed crash when using context menu after collection update.

This happened when the menu was still shown after the collection model
was reset (updated). The menu then contained invalid data, which could
lead to a crash or random other things. We're now creating the menu on
the heap and we're destroying it when the model is reset.

BUG: 190056

 M  +1 -0      ChangeLog  
 M  +15 -9     src/browsers/CollectionTreeView.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=956958